Page MenuHomePhabricator

Update license information on Wikidata to make Lexeme namespace CC-0
Closed, ResolvedPublic1 Story Points

Description

When the WikibaseLexeme extension is deployed to test.wikidata.org and wikidata.org, the license footer at the bottom

All structured data from the main and property namespace is available under the Creative Commons CC0 License; text in the other namespaces…

must be updated to include the lexeme namespace in the structured data / CC0 namespace list.

Update the XXX message in WikimediaMessages extension

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2017, 1:16 PM

Well, the license of the lexeme namespace is indeed important, but what would be the rational behind using CC0? That would make for sure (legally) impossible to reuse Wiktionary materials which are CC-by-sa-3.0 (possibly dual licensed under GFDL).

thiemowmde triaged this task as High priority.Sep 4 2017, 12:59 PM
WMDE-leszek updated the task description. (Show Details)Mar 19 2018, 2:21 PM
Addshore added a comment.EditedMar 19 2018, 2:21 PM

This message is provided by the WikimediaMessages extension (apparently).

"wikidata-copyright": "All structured data from the main and property namespace is available under the <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\" title=\"Definition of the Creative Commons CC0 License\">Creative Commons CC0 License</a>;\ntext in the other namespaces is available under the <a href=\"https://creativecommons.org/licenses/by-sa/3.0/\" title=\"Definition of the Creative Commons Attribution-ShareAlike License\">Creative Commons Attribution-ShareAlike License</a>;\nadditional terms may apply.\nSee <a href=\"https://wikimediafoundation.org/wiki/Terms_of_Use\" title=\"Wikimedia Foundation Terms of Use\">Terms of Use</a> for details.",

We should update this in the extension

It looks like an override does exist https://www.wikidata.org/wiki/MediaWiki:Wikidata-copyright and has done since 2013 where an update was made per the WMF General Counsel, and then a small fix in 2014.

We should make sure the changes made there are also reflected in WikimediaMessages.

RazShuty set the point value for this task to 1.Mar 21 2018, 12:11 PM
Addshore claimed this task.May 3 2018, 9:18 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 3 2018, 9:18 AM
Addshore moved this task from Unsorted 💣 to Back Burner 🏛️ on the User-Addshore board.
Addshore moved this task from To Do to Doing on the Wikidata-Turtles-Sprint#4 board.

Change 430565 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaMessages@master] Update wikidata-copyright to match wd.o/MediaWiki:Wikidata-copyright

https://gerrit.wikimedia.org/r/430565

Change 430566 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaMessages@master] wikidata-copyright, include the lexeme namespace

https://gerrit.wikimedia.org/r/430566

Both patches have been created, the first of which can be merged now.
The second can go through review now but should not be merged yet.
It will be merged as part of the deployment process.

Change 430565 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Update wikidata-copyright to match wd.o/MediaWiki:Wikidata-copyright

https://gerrit.wikimedia.org/r/430565

Change 434454 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaMessages@wmf/1.32.0-wmf.4] wikidata-copyright, include the lexeme namespace

https://gerrit.wikimedia.org/r/434454

Change 430566 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] wikidata-copyright, include the lexeme namespace

https://gerrit.wikimedia.org/r/430566

Change 434454 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@wmf/1.32.0-wmf.4] wikidata-copyright, include the lexeme namespace

https://gerrit.wikimedia.org/r/434454

Mentioned in SAL (#wikimedia-operations) [2018-05-22T11:10:21Z] <addshore@tin> Started scap: WikimediaMessages - [[gerrit:434454|wikidata-copyright, include the lexeme namespace]] T169333

Mentioned in SAL (#wikimedia-operations) [2018-05-22T12:07:07Z] <addshore@tin> Finished scap: WikimediaMessages - [[gerrit:434454|wikidata-copyright, include the lexeme namespace]] T169333 (duration: 56m 45s)

Addshore closed this task as Resolved.May 22 2018, 12:09 PM